usb_put_dev
Prev | Chapter 5. USB Core APIs | Next

## Name

usb_put_dev — release a use of the usb device structure

## Synopsis

`void usb_put_dev (` | struct usb_device * | dev`)`;

## Arguments

`dev`

  device that's been disconnected

## Description

Must be called when a user of a device is finished with it. When the last user of the device calls this function, the memory of the device is freed.

Prev | Up | Next
usb_get_dev | Home | usb_get_intf